Devuan bug report logs - #473
pulseaudio: 00-disable-autospawn.conf needs a systemd specific line commented out.

version graph

Package: pulseaudio; Maintainer for pulseaudio is Dima Krasner <dima@dimakrasner.com>;

Reported by: Paul Beardsell <devuan.org@beardsell.com>

Date: Fri, 22 May 2020 13:18:02 UTC

Severity: grave

Tags: beowulf, moreinfo, patch

Merged with 276, 318, 367, 375, 378, 403, 466, 480, 514

Found in version 12.2-4+deb10u1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#473; Package pulseaudio. (Fri, 22 May 2020 13:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Paul Beardsell <devuan.org@beardsell.com>:
New bug report received and forwarded. Copy sent to Dima Krasner <dima@dimakrasner.com>. (Fri, 22 May 2020 13:18:06 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Paul Beardsell <devuan.org@beardsell.com>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: pulseaudio: 00-disable-autospawn.conf needs a systemd specific line commented out.
Date: Fri, 22 May 2020 14:07:49 +0100
[Message part 1 (text/plain, inline)]
Package: pulseaudio
Version: 12.2-4+deb10u1
Severity: grave
Tags: a11y patch
Justification: renders package unusable

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***

Fresh Devuan install of beowulf.
Audio did not work.
The following patch needs to be applied to
/etc/pulse/client.conf.d/00-disable-autospawn.conf

diff --context=3 00-disable-autospawn.conf.0 00-disable-autospawn.conf
*** 00-disable-autospawn.conf.0	2019-08-15 16:21:19.000000000 +0100
--- 00-disable-autospawn.conf	2020-05-22 13:07:45.696629598 +0100
***************
*** 1,3 ****
  # On linux systems, disable autospawn by default
  # If you are not using systemd, comment out this line
! autospawn=no
--- 1,3 ----
  # On linux systems, disable autospawn by default
  # If you are not using systemd, comment out this line
! ### autospawn=no



-- Package-specific info:



-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-9-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages pulseaudio depends on:
ii  adduser                      3.118
ii  libasound2                   1.1.8-1
ii  libasound2-plugins           1.1.8-1
ii  libc6                        2.28-10
ii  libcap2                      1:2.25-2
ii  libdbus-1-3                  1.12.16-1+devuan2
ii  libelogind0 [libsystemd0]    241.4-2
ii  libeudev1 [libudev1]         3.2.7-6
ii  libgcc1                      1:8.3.0-6
ii  libice6                      2:1.0.9-2
ii  libltdl7                     2.4.6-9
ii  liborc-0.4-0                 1:0.4.28-3.1
ii  libpulse0                    12.2-4+deb10u1
ii  libsm6                       2:1.2.3-1
ii  libsndfile1                  1.0.28-6
ii  libsoxr0                     0.1.2-3
ii  libspeexdsp1                 1.2~rc1.2-1+b2
ii  libstdc++6                   8.3.0-6
ii  libtdb1                      1.3.16-2+b1
ii  libudev1                     1:3.2.7+devuan1.1
ii  libwebrtc-audio-processing1  0.3-1
ii  libx11-6                     2:1.6.7-1
ii  libx11-xcb1                  2:1.6.7-1
ii  libxcb1                      1.13.1-2
ii  libxtst6                     2:1.2.3-1
ii  lsb-base                     10.2019051400
ii  pulseaudio-utils             12.2-4+deb10u1

Versions of packages pulseaudio recommends:
pn  dbus-user-session                <none>
ii  libpam-elogind [libpam-systemd]  241.4-2
ii  rtkit                            0.11-6

Versions of packages pulseaudio suggests:
ii  eudev [udev]  3.2.7-6
pn  paman         <none>
ii  paprefs       1.0-1
ii  pavucontrol   3.0-4
pn  pavumeter     <none>
ii  udev          1:3.2.7+devuan1.1

-- no debconf information
[client.conf (text/plain, attachment)]
[daemon.conf (text/plain, attachment)]
[default.pa (text/plain, attachment)]
[system.pa (text/plain, attachment)]
[bug-pulseaudio-aplay_-L.xsHaud (text/plain, attachment)]
[bug-pulseaudio-pactl_list.JnJyUz (text/plain, attachment)]
[bug-pulseaudio-pactl_info.SLqJwW (text/plain, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#473; Package pulseaudio. (Fri, 22 May 2020 17:48:02 GMT) (full text, mbox, link).


Message #8 received at 473@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 473@bugs.devuan.org, Paul Beardsell <devuan.org@beardsell.com>
Subject: Re: pulseaudio: 00-disable-autospawn.conf needs a systemd specific line commented out.
Date: Fri, 22 May 2020 18:32:13 +0100
Control: forcemerge -1 276

Paul,

This is a well known issue and the configuration fix is documented in both
Debian Buster and Devuan Beowulf Release Notes. See
https://files.devuan.org/devuan_beowulf/Release_notes.txt

Thanks 

Mark

Added tag(s) beowulf. Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:06 GMT) (full text, mbox, link).


Added tag(s) moreinfo. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:05 GMT) (full text, mbox, link).


Message #19 received at 480-close@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Michaela Merz <mischmerz@googlemail.com>
Cc: control@bugs.devuan.org, 480-close@bugs.devuan.org
Subject: Re: bug#480: Firefox - no sound
Date: Wed, 3 Jun 2020 19:44:01 +0100
reassign 480 pulseaudio
forcemerge 276 480


On Wed, Jun 03, 2020 at 12:06:42PM -0500, Michaela Merz wrote:
>    > > [1] http://files.devuan.org/devuan_beowulf/Release_notes.txt > >
>    --00000000000000808705a7310ed4 Content-Type: text/html; charset="UTF-8"
>    Content-Transfer-Encoding: quoted-printable
> 
>    Mark:
>    Rats. I enabled autospawn in client.conf, but forgot about
> 00-disable-autospawn.conf
> 
> Confirming that firefox works with audio now. Sory to bother you :(

Thanks.

Closing

Mark

Merged 276 318 367 375 378 403 466 473 480 514 Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:07 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Oct 23 05:18:15 2020;